Subject: Improving HiDPI experience with emacs

From: Eugen Dedu <[email-masked]>
Date: Thu, 22 Dec 2016 16:33:19 +0100

Hi,

I have just enabled hidpi on my screen and noticed that emacs has 
several issues I would really like to see them fixed, since I use it 
extensively.  (For those interested, I also wrote yesterday a page about 
my experiences at http://eugen.dedu.free.fr/docs/hidpi.html.)

I do not use GNOME, but awesome.  I just set GDK_SCALE=2 to have 
hidpi-aware applications, and this works on several applications.

Everyone can test with "GDK_SCALE=X emacs", with X=1 (for normal screen, 
default value) and X=2 for hidpi.

Is there any emacs developer wanting to fix this behaviour?  I can test 
patches if needed (hope it is not harder than other applications).

I use emacs 25.1.1 on debian.

Best regards,
-- 
Eugen